import request from '@/utils/request'

// 查询列表
export function listConversion(query) {
  return request({
    url: '/personnel/relations/conversion/page',
    method: 'get',
    params: query
  })
}

// 查询详细
export function getConversion(dictId) {
  return request({
    url: '/personnel/relations/conversion/get?id=' + dictId,
    method: 'get'
  })
}

// 新增
export function addConversion(data) {
  return request({
    url: '/personnel/relations/conversion/create',
    method: 'post',
    data: data
  })
}

// 修改
export function updateConversion(data) {
  return request({
    url: '/personnel/relations/conversion/update',
    method: 'put',
    data: data
  })
}

// 删除
export function delConversion(dictId) {
  return request({
    url: '/personnel/relations/conversion/delete?id=' + dictId,
    method: 'delete'
  })
}

// 导出
export function exportConversion(query) {
  return request({
    url: '/personnel/relations/conversion/export-excel',
    method: 'get',
    params: query,
    responseConversion: 'blob'
  })
}